using FluentValidation;

namespace TeleWave.Application.Library.Interstitials.ImportInterstitials;

public sealed class ImportInterstitialsCommandValidator
    : AbstractValidator<ImportInterstitialsCommand>
{
    public ImportInterstitialsCommandValidator() =>
        RuleFor(x => x.MediaAssetIds).NotEmpty().Must(ids => ids.Count <= 500);
}
